fbpx

Beginner : อยากถามว่าการจะโปรแกรม Androรd ต้องคำนึงถึง Version ของ Andriod OS ไหมคะ

Home Forums General Android Application Development Beginner : อยากถามว่าการจะโปรแกรม Androรd ต้องคำนึงถึง Version ของ Andriod OS ไหมคะ

  • neemo
    Participant

    คือเป็นมือใหม่สำหรับการโปรแกม android คะ แต่อยากจะลองทำโปรแกรม android ขึ้นมาสักตัวนึงอะคะ ที่นี่สงสัยว่า เราจะต้องคำนึงถึงเวอร์ชั้นของ Android OS ที่เราจะให้มันรันหรือไม่อะคะ ถ้าต้องคำนึงถึงนี่แสดงว่าเราควรจะเลือก programming ในเวอร์ชั้นเก่าก่อนเช่น 1.5 เพื่อที่มันจะได้รันในเวอร์ชั้นที่ใหม่กว่ารึเปล่าคะ

    ขอบคุณคะ

3 Comments

  • wArEzAn
    wArEzAn
    Participant

    หลักๆ จะดูที่ api level ของ method หรือคำสั่งต่างๆ ที่เราต้องการใช้

    ถ้าเรากำหนด version ของ android เป็น 1.5 (api level 3)
    จะทำให้เราสามารถใช้ method หรือคำสั่งต่างๆ ได้ไม่เกิน level นั้น
    ซึ่งโปรแกรมสามารถนำไปรันบน android เวอร์ชั่นที่ใหม่กว่าได้ปกติ

    เช่นกัน ถ้าเราต้องการใช้ method หรือคำสั่งต่างๆ ใน api level ที่สูงขึ้น
    ก็จะทำให้ไม่สามารถนำโปรแกรมไปใช้ใน android version ที่ต่ำกว่าได้ …

  • mengkung
    mengkung
    Participant

    แต่ถ้าพัฒนาที่ 2.1 แต่จะใช้มือถือที่เป็น 2.2 รัน

    สามารถใช้ได้ใช่มั้ยอะ

  • cyberplanet
    cyberplanet
    Participant

    @mengkung Runได้ครับ ถ้าAPI ของโปรแกรมถูกพัฒนามาจากเวอร์ชั่นที่เก่ากว่าเครื่องสามารถ Run ได้ตามปกติ

The forum ‘Android Application Development’ is closed to new topics and replies.

To Top